Description: Slow down lock_free_registry test to let armel keep up
 Test runs on armel don't manage to create all the threads before the target
 time.  Add a couple of seconds so that this architecture can keep up.
Author: Colin Watson <cjwatson@ubuntu.com>
Bug-Debian: http://bugs.debian.org/598940
Bug-Ubuntu: https://bugs.launchpad.net/bugs/791240
Forwarded: no
Last-Update: 2011-09-06

--- a/t/binding/038-lock_free_registry.t
+++ b/t/binding/038-lock_free_registry.t
@@ -41,7 +41,7 @@
 
 my @threads;
 
-my $target_time = time() + .5;
+my $target_time = time() + 2.5;
 my @num_sets = map { [ shuffle( 1 .. 10000 ) ] } 1 .. 5;
 for my $num ( 1 .. 5 ) {
     my $delay = $target_time - time();
